#ifndef MONITOR_OPS_H__
#define MONITOR_OPS_H__

#include <jvmpi.h>

/** Create a new monitor */
JVMPI_RawMonitor jmp_create_monitor (char *);

/** Delete a monitor */
void jmp_delete_monitor (JVMPI_RawMonitor);

/** Lock a monitor */
void jmp_lock_monitor (JVMPI_RawMonitor);

/** Unlock a monitor */
void jmp_unlock_monitor (JVMPI_RawMonitor);

/** Wait for a monitor */
void jmp_monitor_wait (JVMPI_RawMonitor, jlong milis);

/** Notify all waiting for a monitor */
void jmp_monitor_notify_all (JVMPI_RawMonitor);

#endif /* MONITOR_OPS_H__ */
